%define kdeprefix /opt/kde2
%define qtdir /usr/lib/qt-2.1.0
%define KDEDATE 20000325
%define version 1.89.%{KDEDATE}
%define kderelease 1mdk
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdoc
Name: %{kdename}
Icon: kde-icon.xpm
Summary: Documentation for the K Desktop Environment (KDE) 2.0.
Version: %{version}
Release: %{kderelease}
Serial: %{KDEDATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdoc-%{KDEDATE}.tar.bz2
Group: Development/KDE and QT
BuildRoot: /%{_tmppath}/%{kdename}-buildroot
Copyright: GPL
Prefix: %{_prefix}
BuildArch: noarch
Requires: perl

%description
Documentation tools for the K Desktop Environment 2.0.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdoc
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
CXXFLAGS="$RPM_OPT_FLAGS -I%{kdeprefix}/include" ./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make install DESTDIR=$RPM_BUILD_ROOT

# man pages under prefix, doc under usual doc dir, the rest under kdeprefix
mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-devel-%{version}-%{release}

(
#  cd $RPM_BUILD_ROOT/%{kdeprefix}/bin
#  for i in *; do
#  	mv -f $i $RPM_BUILD_ROOT/%{prefix}/bin/`echo $i |sed -e "s/$/2/"`
#  done
  cd $RPM_BUILD_ROOT/%{kdeprefix}/man/man1
#  for i in *; do
#  	mv -f $i $RPM_BUILD_ROOT/%{prefix}/man/man1/`echo $i |sed -e "s/\.1/2.1/"`
#  done
  mv * $RPM_BUILD_ROOT/%{prefix}/man/man1/
)
#rm -rf $RPM_BUILD_ROOT/%{kdeprefix}/bin
rm -rf $RPM_BUILD_ROOT/%{kdeprefix}/man/man1

find $RPM_BUILD_ROOT/%{prefix}/man/ -type f|xargs bzip2 -9f

# Doc
mv $RPM_BUILD_ROOT/%{kdeprefix}/doc/kdoc/* $RPM_BUILD_ROOT/usr/doc/%{name}-devel-%{version}-%{release}
rm -rf $RPM_BUILD_ROOT/%{kdeprefix}/doc

%clean

%files
%defattr(-,root,root,0755)
%{kdeprefix}/bin/*
%dir %{kdeprefix}/share/kdoc
%{kdeprefix}/share/kdoc/*
%doc /usr/doc/%{name}-devel-%{version}-%{release}/*
%doc %{prefix}/man/man1/*

%changelog

* Sat Mar 25 2000 David Faure <david@mandrakesoft.com> 1.89.20000325-1mdk
- Mandrake adaptations
- Reverted to original names (kdoc, makekdedoc, qt2kdoc...) kdoc doesn't need to
  be installed in two versions, unlike binary KDE packages.
- Dropped file.list, this package doesn't deserve such complexity.

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- new snapshot

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the makekde2doc script (add missing semicolon)

* Thu Jan  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- get ready for powertools 6.2
- make it a noarch package; it's just perl scripts

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
